# Uses of Annotation Type
org.apache.sling.testing.mock.osgi.config.annotations.SetConfig

Packages that use SetConfig
Package
Description
org.apache.sling.testing.mock.osgi.config
OSGi Config Type Parameters core implementation.

## Uses of SetConfig in org.apache.sling.testing.mock.osgi.config

Methods in org.apache.sling.testing.mock.osgi.config that return types with arguments of type SetConfig
Modifier and Type
Method
Description
`static Stream<SetConfig>`
ConfigAnnotationUtil.`findUpdateConfigAnnotations(@NotNull AnnotatedElement element)`
Find `SetConfig` annotations on the given `AnnotatedElement`.
`static Stream<SetConfig>`
ConfigAnnotationUtil.`findUpdateConfigAnnotations(@NotNull Collection<Annotation> annotations)`
Find `SetConfig` annotations in the given collection.
Methods in org.apache.sling.testing.mock.osgi.config with parameters of type SetConfig
Modifier and Type
Method
Description
`void`
ConfigTypeContext.`updateConfiguration(@NotNull SetConfig annotation)`
Updates a `Configuration` from the provided annotation.